> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Wholesale Order Line Items

> This endpoint list wholesale order line items.

### Body

<ParamField body="limit" required="true" type="string">
  This is the limit of the wholesale orders.
</ParamField>

<ParamField body="offset" required="true" type="string">
  This is the offset of the wholesale orders.
</ParamField>

<ParamField body="order_direction" required="true" type="string">
  This is the order direction of the wholesale orders.
</ParamField>

### Response

<ResponseField name="id" type="string">
  The Id of the wholesale order line item
</ResponseField>

<ResponseField name="product_id" type="string">
  The Id of the product
</ResponseField>

<ResponseField name="product_name" type="string">
  The name of the product
</ResponseField>

<ResponseField name="brand" type="string">
  The brand of the product
</ResponseField>

<ResponseField name="quantity" type="string">
  The quantity of the product
</ResponseField>

<ResponseField name="unit" type="string">
  The unit of the product
</ResponseField>

<ResponseField name="updated_date" type="string">
  The date the wholesale order line item was last updated
</ResponseField>

<ResponseField name="wholesale_order_id" type="string">
  The Id of the wholesale order
</ResponseField>

<ResponseField name="created_date" type="string">
  The date the wholesale order line item was created
</ResponseField>

<ResponseField name="brand" type="string">
  The brand of the product
</ResponseField>

<ResponseField name="price_unit" type="string">
  The price of the product
</ResponseField>

<ResponseField name="include_in_export" type="string">
  Indicates whether the line item is included in the export
</ResponseField>

<ResponseField name="product_class" type="string">
  The class of the product
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request GET 'https://api.stateset.com/v1/wholesale_order_line_item/list' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
      "limit": 10,
      "offset": 0,
      "order_direction": "asc"
  }'

  ```
</RequestExample>
